# DataExchange
TKXSBase
Interface

# Interface_HGraph Class Reference

This class allows to store a redefinable Graph, via a Handle
(usefull for an Object which can work on several successive
Models, with the same general conditions)
.

`#include <Interface_HGraph.hxx>`

## Public Member Functions

Standard_EXPORT | Interface_HGraph (const Interface_Graph &agraph)
| Creates an HGraph directly from a Graph. Remark that the starting Graph is duplicated .
Standard_EXPORT | Interface_HGraph (const Handle(Interface_InterfaceModel)&amodel, const Interface_GeneralLib &lib)
| Creates an HGraph with a Graph created from <amodel> and <lib> .
Standard_EXPORT | Interface_HGraph (const Handle(Interface_InterfaceModel)&amodel, const Handle(Interface_Protocol)&protocol)
| Creates an HGraph with a graph itself created from <amodel> and <protocol> .
Standard_EXPORT | Interface_HGraph (const Handle(Interface_InterfaceModel)&amodel, const Handle(Interface_GTool)&gtool)
| Creates an HGraph with a graph itself created from <amodel> and <protocol> .
Standard_EXPORT | Interface_HGraph (const Handle(Interface_InterfaceModel)&amodel)
| Same a above, but works with the GTool in the model .
Standard_EXPORT const Interface_Graph & | Graph () const
| Returns the Graph contained in <me>, for Read Only Operations Remark that it is returns as "const &" Getting it in a new variable instead of a reference would be a pitty, because all the graph's content would be duplicated .
Standard_EXPORT Interface_Graph & | CGraph ()
| Same as above, but for Read-Write Operations Then, The Graph will be modified in the HGraph itself .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Interface_Graph | thegraph

## Constructor & Destructor Documentation

Standard_EXPORT Interface_HGraph::Interface_HGraph | ( | const Interface_Graph & | agraph | ) |

Standard_EXPORT Interface_HGraph::Interface_HGraph | ( | const Handle(Interface_InterfaceModel)& | amodel,
|  | const Interface_GeneralLib & | lib
| ) |

Standard_EXPORT Interface_HGraph::Interface_HGraph | ( | const Handle(Interface_InterfaceModel)& | amodel,
|  | const Handle(Interface_Protocol)& | protocol
| ) |

Standard_EXPORT Interface_HGraph::Interface_HGraph | ( | const Handle(Interface_InterfaceModel)& | amodel,
|  | const Handle(Interface_GTool)& | gtool
| ) |

Standard_EXPORT Interface_HGraph::Interface_HGraph | ( | const Handle(Interface_InterfaceModel)& | amodel | ) |

## Member Function Documentation

Standard_EXPORT Interface_Graph& Interface_HGraph::CGraph | ( |  | ) |

Standard_EXPORT const Interface_Graph& Interface_HGraph::Graph | ( |  | ) | const

Standard_EXPORT const Interface_HGraph::Handle | ( | Standard_Type |  | ) | const

## Field Documentation

Interface_Graph Interface_HGraph::thegraph `[private]`

The documentation for this class was generated from the following file:

- Interface_HGraph.hxx